/***************************************************************************
 *   Copyright (C) 2005 by Richard Moore   *
 *   rich@xmelegance.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _HELLOCLASSINFO_H_
#define _HELLOCLASSINFO_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kmainwindow.h>

/**
 * @short Application Main Window
 * @author Richard Moore <rich@xmelegance.org>
 * @version 0.1
 */
class helloclassinfo : public KMainWindow
{
    Q_OBJECT
    Q_CLASSINFO( "MyMetaInfo", "This is demo meta-info" )
    
public:
    /**
     * Default Constructor
     */
    helloclassinfo();

    /**
     * Default Destructor
     */
    virtual ~helloclassinfo();
};

#endif // _HELLOCLASSINFO_H_
